/****************************************************************************
*                                                                           *
*                  ___  ____  ____   ___  __    ____  ____                  *
*                 / __)(_  _)(  _ \ / __)(  )  ( ___)(  _ \                 *
*                ( (__  _)(_  )   /( (__  )(__  )__)  )(_) )                *
*                 \___)(____)(_)\_) \___)(____)(____)(____/                 *
*                                                                           *
*                                                                           *
*                                                                           *
*   This file is part of Circled                                            *
*                                                                           *
*   Copyright (C) 2011  Fabien LOISON                                       *
*                                                                           *
*   Circled is free software: you can redistribute it and/or modify         *
*   it under the terms of the GNU General Public License as published by    *
*   the Free Software Foundation, either version 3 of the License, or       *
*   (at your option) any later version.                                     *
*                                                                           *
*   This program is distributed in the hope that it will be useful,         *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*   GNU General Public License for more details.                            *
*                                                                           *
*   You should have received a copy of the GNU General Public License       *
*   along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
*                                                                           *
****************************************************************************/


/**
 * This is the main file of the project.
 */


#include "_headers.h"


/**
 * The main function.
 */
int main()
{
	//Initialize the Terminal object
	Terminal term;
	term.set_title("Circled");

	//Display the logo screen
	start_screen(&term);

	//Main menu
	while (true)
	{
		term.set_title("Circled [Menu]");
		draw_ui(&term);
		display_hint("You wanna play? :D", &term);

		int x = (term.get_width() - 40) / 2;
		int y = term.get_height() / 2;

		term.set_fg_color(COLOR_WHITE);

		//Button play
		term.set_bg_color(COLOR_BLACK);
		term.draw_rectangle(x + 2, y - 3, x + 42, y - 3 + 3);
		term.set_bg_color(COLOR_UI);
		term.draw_text_rectangle(x, y - 4, x + 40, y - 4 + 3, "New Game");
		MouseEventBox btn_play(x, y - 4, x + 40, y - 4 + 3);

		//Button quit
		term.set_bg_color(COLOR_BLACK);
		term.draw_rectangle(x + 2, y + 2, x + 42, y + 2 + 3);
		term.set_bg_color(COLOR_UI);
		term.draw_text_rectangle(x, y + 1, x + 40, y + 1 + 3, "Quit");
		MouseEventBox btn_quit(x, y + 1, x + 40, y + 1 + 3);

		Event ev;
		while (true)
		{
			ev = term.get_event();
			if (btn_play.check_collide(&ev))
			{
				play(&term);
				break;
			}
			else if (btn_quit.check_collide(&ev))
			{
				term.~Terminal();
				exit(0);
			}
		}
	}
}
